Subject: Re: Time Sheet for W.E. 09/17/2017
From: "Michael B" <[email-masked]>
To: "Rita Kurtz" <[email-masked]>, "Sarah Bostain" <[email-masked]>
Cc: "Kelly Parker" <[email-masked]>
Date: Mon, 18 Sep 2017 11:05:15 -0400

Hello.
Attached is the completed timesheet.
Thank you,
Michael B
LLPS

From: Rita Kurtz 
Sent: Monday, September 18, 2017 9:40 AM
To: Michael B ; Sarah Bostain 
Subject: Time Sheet for W.E. 09/17/2017

Hi Mike,

Here is the time sheet for last week.  I apologize for the lateness in sending this.  I truly thought I sent it last week.  If you have any questions, please let us know.

Have a great day!

Thanks,

Rita

 

Rita K. Kurtz

Service Manager, Lansing

(888) JOB-TEAM